Name:		compiz-manager
Summary:	A wrapper script to start Compiz with proper options
Version:	0.7.0
Release:	%mkrel 5
License:	GPLv2+
Group:		System/X11
Url:		https://github.com/compiz-reloaded/compiz-manager
Source0:	https://github.com/compiz-reloaded/compiz-manager/releases/download/v%{version}/compiz-manager-%{version}.tar.xz
Patch0001:	0001-Fix-for-2-or-more-GPU.patch
Patch0002:	0002-Use-upstream-name-xfwm4-to-properly-fall-back.patch
Patch0003:	0003-Remove-unused-variable-XORG_DRIVER_PATH.patch

BuildArch:	noarch

Conflicts:	compositing-wm-common < 2018.0

%description
This script will detect what options we need to pass to compiz to get it
started, and start a default plugin and possibly window decorator.

%prep
%setup -q
%autopatch -p1

%build
#nothing

%install
install -Dpm755 %{name} %{buildroot}/%{_bindir}/%{name}

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.7.0-5.mga10
+ Revision: 2205210
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.7.0-4.mga9
+ Revision: 1811139
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1520775
- Mageia 8 Mass Rebuild

* Sun Dec 09 2018 wally <wally> 0.7.0-2.mga7
+ Revision: 1339373
- conflict with compositing-wm-common < 2018.0

* Sun Dec 09 2018 wally <wally> 0.7.0-1.mga7
+ Revision: 1339180
- imported package compiz-manager

